### Method

# Gck Builder add_exceptv

#### Declaration [src]

    void
    gck_builder_add_exceptv (
      GckBuilder* builder,
      GckAttributes* attrs,
      const gulong* except_types,
      guint n_except_types
    )

#### Description [src]

Add the attributes in `attrs` to the builder, with the exception of those whose types are specified in `except_types`. The attributes are added uncondititionally whether or not attributes with the same types already exist in the builder.

    // Add all attributes in attrs except CKA_CLASS to the builder
    unsigned long except_types[] = { CKA_CLASS };
    gck_builder_add_exceptv (builder, attrs, except_types, 1);

As an optimization, the attribute memory values are automatically shared between the attributes and the builder.

This method is not directly available to language bindings.

#### Parameters

`attrs` | `GckAttributes`
| The attributes to add.
| The data is owned by the caller of the function.
`except_types` | An array of `gulong`
| The except types.
| The length of the array is specified in the `n_except_types` argument.
| The data is owned by the caller of the function.
`n_except_types` | `guint`
| The number of except types.